package com.ruoyi.rocketmq.mapper;

import com.ruoyi.rocketmq.domain.RmMonitorPolicy;

import java.util.List;

/**
 * 资源监控策略Mapper接口
 * 
 * @author gyt
 * @date 2025-09-10
 */
public interface RmMonitorPolicyMapper 
{
    /**
     * 查询资源监控策略
     * 
     * @param id 资源监控策略主键
     * @return 资源监控策略
     */
    public RmMonitorPolicy selectRmMonitorPolicyById(Long id);

    /**
     * 查询资源监控策略列表
     * 
     * @param rmMonitorPolicy 资源监控策略
     * @return 资源监控策略集合
     */
    public List<RmMonitorPolicy> selectRmMonitorPolicyList(RmMonitorPolicy rmMonitorPolicy);

    /**
     * 新增资源监控策略
     * 
     * @param rmMonitorPolicy 资源监控策略
     * @return 结果
     */
    public int insertRmMonitorPolicy(RmMonitorPolicy rmMonitorPolicy);

    /**
     * 修改资源监控策略
     * 
     * @param rmMonitorPolicy 资源监控策略
     * @return 结果
     */
    public int updateRmMonitorPolicy(RmMonitorPolicy rmMonitorPolicy);

    /**
     * 删除资源监控策略
     * 
     * @param id 资源监控策略主键
     * @return 结果
     */
    public int deleteRmMonitorPolicyById(Long id);

    /**
     * 批量删除资源监控策略
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRmMonitorPolicyByIds(Long[] ids);

    /**
     * 查询符合条件的策略
     * @param queryParam
     * @return
     */
    RmMonitorPolicy selectRmMonitorPolicyByClientId(RmMonitorPolicy queryParam);
}
